Skip to main content
GET
/
workflows
/
{workflowId}
/
users
List Users by workflowId
curl --request GET \
  --url https://production.runalloy.com/workflows/{workflowId}/users \
  --header 'Authorization: <authorization>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/workflows/{workflowId}/users"

headers = {
    "Authorization": "<authorization>",
    "x-api-version": "<x-api-version>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};

fetch('https://production.runalloy.com/workflows/{workflowId}/users', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "username": "alexmcvar@runalloy.com",
      "fullName": "Alex McVarish",
      "userId": "6398f116aaab31dbb69df94d",
      "workflowActive": true,
      "installedAt": "2023-11-03T18:02:28.296Z"
    },
    {
      "username": "brandonl@runalloy.com",
      "fullName": "Brandon Looker",
      "userId": "6398f895dk5b31dbh69df7d7",
      "workflowActive": true,
      "installedVersion": 2,
      "installedAt": "2023-11-03T18:02:28.296Z"
    },
    {
      "username": "abdullah+embedded3@runalloy.com",
      "fullName": "Abdullah Wali",
      "userId": "63fec7df57e0a6da84257316",
      "workflowActive": true,
      "installedAt": "2023-11-03T18:02:28.296Z"
    },
    {
      "username": "devanshMehta@runalloy.com",
      "fullName": "Devansh Mehta",
      "userId": "63feca0157e0a6da8425731b",
      "workflowActive": false,
      "installedVersion": 2,
      "installedAt": "2023-11-03T18:02:28.296Z"
    }
  ]
}
"{}"

Headers

Authorization
string
default:bearer YOUR_API_KEY
required
x-api-version
string
default:2025-09
required

The version of the API to use. The current API version is 2025-09.

Path Parameters

workflowId
string
required

The Id of the parent workflow you would like to list users for.

Response

200